{% block body %}
	
	<div class="col col-md-10 m-auto">
		
		<div class="row">
			<div class="col">
				<div class="container pt-3">
					<h2  class="alert alert-info">{{ character.charName }}</h2> 
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-sm-4">
				<div class="container">					
					<a href="{{ path('char_output', {'charId': character.charId} ) }}" class="">
						<img class="img-fluid rounded" src="/characterimages/{{ character.charImage }}"  alt="Card image cap">
					</a>
					<p class="text-light p-1"><strong >Created on:</strong>{{ character.charTime|date("d/m/y") }}</p>
					<div class="d-flex justify-content-between m-auto">
						<a class="badge badge-primary m-1 " href="{{ path('char_edit' , {'charId': character.charId }) }}" >Edit</a>
						<a class="badge badge-secondary m-1" href="{{ path('char_reroll' , {'charId': character.charId }) }}" >Reroll Abilities</a>
						<a class="badge badge-danger m-1 " href="{{ path('char_delete' , {'charId': character.charId }) }}" >Delete</a>
					</div>
					
				</div>	 
			</div>

			<div class="col-md-8">
				<div class="container" id="description">
	    			<div class=" border border-1-secondary rounded m-auto">
						<h5 class=" bg-light text-dark p-2">Description</h5>
						
						<div class="row p-2 text-light">
			    			<div class="col">
								<p><strong>Race: </strong>{{ character.charRace }}</p>				
							</div>
							<div class="col">
								<p><strong>Class: </strong>{{ character.charClass }}</p>
							</div>
							<div class="col ">
								<p><strong>Level: </strong>{{ character.charLevel }}</p>				
							</div>
						</div>
						<div class="row p-2 text-light">
							<div class="col">
								<p><strong>Hit Points: </strong>{{ character.charHitPoints }}</p>			
							</div>
							<div class="col">
								<p><strong>Experience: </strong>{{ character.charExperience }}</p>
							</div>
							<div class="col">
								<p><strong>Magic: </strong>{{ character.charMagic }}</p>				
							</div>
						</div>
						<div class="row p-2 text-light"> 
		    				<div class="col">
								<p><strong>Alignment: </strong>{{ character.charAlignment }}</p>				
							</div>
	    				</div>
		    								
		    		</div>{# end #}

		    		<div class=" border border-1-secondary rounded mt-3">
						<h5 class=" bg-light text-dark p-2">Background</h5>
						<p class="text-light p-2"><strong>History: </strong>{{ character.charHistory }}</p>
					</div>
    			    			
	    		</div>
			</div>			
		</div>
   	
   		<div class="row mt-3">
			<div class="col-md-4">
				<div class="container">
					<div class="border border-1-secondary rounded m-auto">						
						<table class="table-sm text-center text-light m-auto">
						    <thead>
						     	<tr>
						      		<th scope="col"class="" >A.C.</th>
						        	<th scope="col">Initiative</th>
						        	<th scope="col">Speed</th>			      
						     		</tr>
						    </thead>
						    <tbody>
							    <tr>			      
							      	<td>TBC</td>
							      	<td>TBC</td>
							      	<td>TBC</td>
							    </tr>    
						    </tbody>
						</table>
					</div>					
				</div>
			</div>
			
			<div class="col-md-8">
				<div class="container">
					<div class="border border-1-secondary rounded m-auto">
							<h5 class=" bg-light text-dark p-2">Atributes</h5>
						<table class="table-sm text-center text-light m-auto">
							<thead>
							    <tr>
							      <th scope="col">Strength</th>
							      <th scope="col">Dexterity</th>
							      <th scope="col">Constitution</th>
							      <th scope="col">Inteligence</th>
							      <th scope="col">Wisdom</th>
							      <th scope="col">Charisma</th>
							    </tr>
						    </thead>
						    <tbody>
							    <tr>			      
							      <td>{{ character.charStrength }}</td>
							      <td>{{ character.charDexterity }}</td>
							      <td>{{ character.charConstitution }}</td>
							      <td>{{ character.charInteligence }}</td>
							      <td>{{ character.charWisdom }}</td>
							      <td>{{ character.charCharisma }}</td>
							    </tr>    
							</tbody>
						</table>
					</div>
				</div>				
			</div>
		</div>

		<div class="row mt-3">
			<div class="col-md-4">						
			</div>
			<div class="col-sm-4">
				<div class="container">
					<label class="text-light" for="modifers"><strong>Modifiers</strong></label>
					<ul class="list-group" id="modifiers">
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Strength
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Dexterity
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Constitution
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Inteligence
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Wisdom
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Charisma
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					</ul>
				</div>
					<br>
			</div>{# column #}
			<div class="col-md-4">
				<div class="container ">
					<label class="text-light" for="savingT"><strong>Saving Throws</strong></label>
					<ul class="list-group bg" id="savingT">
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Strength
					    <span class="badge badge-danger badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Dexterity
					    <span class="badge badge-secondary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Constitution
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Inteligence
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Wisdom
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					  <li class="list-group-item d-flex justify-content-between align-items-center">
					    Charisma
					    <span class="badge badge-primary badge-pill">+?</span>
					  </li>
					</ul>
				</div>
			</div>
		</div>	
		    
		<div class="row">
			<div class="col-md-4">
				<div class="container">
					
				</div>				
			</div>

			<div class="col-md-8">
				
			</div>
		</div>
	
		<div class="row">
			<div class="col-md-4"></div>			
			<div class="col-md-8">
				<div class="container">
					<div class="border border-1-secondary rounded m-auto">
						<h5 class=" bg-light text-dark p-2">Proficiencies</h5>
						<table class="table-sm text-center text-light m-auto">
					  		<thead>
					  			{# <tr><h4 class="alert alert-secondary">Proficiencies</h4></tr> #}
					    		<tr>
						      		<th scope="col">Acrobatics</th>
						        	<th scope="col">Animal Handling</th>
						        	<th scope="col">Arcana</th>
						        	<th scope="col">Athletics</th>
						        	<th scope="col">Desception</th>
						        	<th scope="col">History</th>
					    		</tr>
					  		</thead>
					  		<tbody>
							    <tr>			      
								    <td>tbc</td>
								    <td>tbc</td>
								    <td>tbc</td>
								    <td>tbc</td>
								    <td>tbc</td>
								    <td>tbc</td>
							    </tr>    
					  		</tbody>
						</table>
					</div>
				</div>
			</div>			
		</div>
		
	</div>
    
{% endblock %}
